body {
    background-image: url(photo.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 100vh;
    background-position: center;
}

#container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-left: 420px;
    margin-top: 20px;
    background-color: #dab2ae;
    width: 40%;
    min-height: 70vh;
    border-radius: 20px;
}

#header {
    display: flex;
}

#enterYourCity {
    background-color: #dab2ae;
    border: 2px solid #478bcc;
    border-radius: 20px;
    padding: 15px;
    width: 400px;
    text-align: center;
    font-family: "Lora", serif;
    font-size: 20px;
    color: #3e3e3e;
    margin-top: 20px;
}

#enterYourCity:focus {
    background-color: #fde5e1;
}

#when-where {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Lora", serif;
    color: #3e3e3e;
}

#city {
    font-weight: bold;
    font-size: 45px;
}

#date {
    font-size: 30px;
    font-style: italic;
    margin: 0;
}

#now {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Lora", serif;
    color: #3e3e3e;
}

#temperature {
    font-weight: bold;
    color: #478bcc;
    font-size: 130px;
    text-shadow: 3px 5px #1c1936;
    margin: 0;
}

#feelsLike, #variation, #humidity, #windSpeed, #pressure {
    font-size: 27px;
    margin: 5px;
    padding: 5px;
}

#conditions {
    font-size: 27px;
    font-style: italic;
    margin: 0;
}

.dark-clouds, .sunny, .rain, .thunderstorm, .snow, .drizzle {
    display: none;
}

.icon {
    width: 100px;
    height: 100px;
}

figure {
    display: inline-block;
    font-weight: 300;
}

.longRay {
    stroke: #ffdd1a;
    stroke-width: 3;
    stroke-dasharray: 10;
    stroke-dashoffset: 10;
    -webkit-animation: longRayAnimation 4s linear infinite;
    animation: longRayAnimation 4s linear infinite;
}

@keyframes longRayAnimation {
    from {
        stroke-dashoffset: 100;
    }

    to {
        stroke-dashoffset: 0;
    }
}

@-webkit-keyframes longRayAnimation {
    from {
        stroke-dashoffset: 100;
    }

    to {
        stroke-dashoffset: 0;
    }
}

.shortRay {
    stroke: #ffdd1a;
    stroke-width: 1.5;
    stroke-dasharray: 3;
    stroke-dashoffset: 1;
    -webkit-animation: shortRayAnimation 3s linear infinite;
    animation: shortRayAnimation 3s linear infinite;
}

@-webkit-keyframes shortRayAnimation {
    from {
        stroke-dashoffset: 20;
    }
    to {
        stroke-dashoffset: 0;
    }
}
@keyframes shortRayAnimation {
    from {
        stroke-dashoffset: 20;
    }
    to {
        stroke-dashoffset: 0;
    }
}

.reverse-small-cloud {
    -webkit-animation: reverse-float 6s linear infinite;
    animation: reverse-float 6s linear infinite;
}

@-webkit-keyframes reverse-float {
    0% {
        -webkit-transform: translate(0px, -15px);
        opacity: 0.75;
    }
    25% {
        -webkit-transform: translate(-15px, 0px);
        opacity: 1;
    }
    50% {
        -webkit-transform: translate(-30px, 0px);
        opacity: 1;
    }
    75% {
        -webkit-transform: translate(-25px, 0px);
        opacity: 1;
    }
    100% {
        -webkit-transform: translate(0px, -15px);
        opacity: 0.75;
    }
}
 @keyframes reverse-float {
    0% {
        -ms-transform: translate(0px, -15px);
        transform: translate(0px, -15px);
        opacity: 0.75;
    }
    25% {
        -ms-transform: translate(-15px, 0px);
        transform: translate(-15px, 0px);
        opacity: 1;
    }
    50% {
        -ms-transform: translate(-30px, 0px);
        transform: translate(-30px, 0px);
        opacity: 1;
    }
    75% {
        -ms-transform: translate(-25px, 0px);
        transform: translate(-25px, 0px);
        opacity: 1;
    }
    100% {
        -ms-transform: translate(0px, -15px);
        transform: translate(0px, -15px);
        opacity: 0.75;
    }
}

#drop1 {
    -webkit-animation: rain 1s linear infinite;
    animation: rain 1s linear infinite;
}

#drop3 {
    -webkit-animation: rain 1s linear infinite 0.5s;
    animation: rain 1s linear infinite 0.5s;
}

#drop2 {
    -webkit-animation: rain 2s linear infinite 1s;
    animation: rain 2s linear infinite 1s;
}

#drop4 {
    -webkit-animation: rain 2s linear infinite 0.8s;
    animation: rain 2s linear infinite 0.8s;
}

@-webkit-keyframes rain {
    0% {
        opacity: 1;
    }
    25% {
        -webkit-transform: translateY(5px);
        opacity: 1;
    }
    50% {
        -webkit-transform: translateY(15px);
        opacity: 1;
    }
    75% {
        -webkit-transform: translateY(25px);
        opacity: 0.75;
    }
    100% {
        -webkit-transform: translateY(35px);
        opacity: 0;
    }
}
 @keyframes rain {
    0% {
        opacity: 1;
    }
    25% {
        -ms-transform: translateY(5px);
        transform: translateY(5px);
        opacity: 1;
    }
    50% {
        -ms-transform: translateY(15px);
        transform: translateY(15px);
        opacity: 1;
    }
    75% {
        -ms-transform: translateY(25px);
        transform: translateY(25px);
        opacity: 0.75;
    }
    100% {
        -ms-transform: translateY(35px);
        transform: translateY(35px);
        opacity: 0;
    }
}

#rainDrizzle {
    stroke: #478bcc;
    stroke-width: 1;
    stroke-dasharray: 3;
    stroke-dashoffset: 1;
    -webkit-animation: drizzle 5s linear infinite;
    animation: drizzle 5s linear infinite;
}

@-webkit-keyframes drizzle {
    from {
        stroke-dashoffset: 40;
    }
    to {
        stroke-dashoffset: 10;
    }
}
@keyframes drizzle {
    from {
        stroke-dashoffset: 40;
    }
    to {
        stroke-dashoffset: 10;
    }
}

.lighting {
    animation-duration: 2.5s;
}

#snowFlake {
    fill: none;
    stroke: white;
    stroke-width: 0.6;
}

#snowFlake1 {
    -webkit-animation: snow 4s linear infinite;
    animation: snow 4s linear infinite;
}

#snowFlake2 {
    -webkit-animation: snow 3s linear infinite 0.8s;
    animation: snow 3s linear infinite 0.8s;
}

#snowFlake3 {
    -webkit-animation: snow 5s linear infinite 0.5s;
    animation: snow 5s linear infinite 0.5s;
}

#snowFlake4 {
    -webkit-animation: snow 6s linear infinite 1s;
    animation: snow 6s linear infinite 1s;
}

#snowFlake5 {
    -webkit-animation: snow 4s linear infinite 0.6s;
    animation: snow 4s linear infinite 0.6s;
}

@-webkit-keyframes snow {
    0% {
        -webkit-transform: translate(5px, 0px);
        opacity: 1;
    }
    25% {
        -webkit-transform: translate(0px, 10px);
        opacity: 1;
    }
    50% {
        -webkit-transform: translate(7px, 20px);
        opacity: 1;
    }
    75% {
        -webkit-transform: translate(0px, 30px);
        opacity: 0.75;
    }
    100% {
        -webkit-transform: translate(10px, 40px);
        opacity: 0.5;
    }
}
@keyframes snow {
    0% {
        -ms-transform: translate(5px, 0px);
        transform: translate(5px, 0px);
        opacity: 1;
    }
    25% {
        -ms-transform: translate(0px, 10px);
        transform: translate(0px, 10px);
        opacity: 1;
    }
    50% {
        -ms-transform: translate(7px, 20px);
        transform: translate(7px, 20px);
        opacity: 1;
    }
    75% {
        -ms-transform: translate(0px, 30px);
        transform: translate(0px, 30px);
        opacity: 0.75;
    }
    100% {
        -ms-transform: translate(10px, 40px);
        transform: translate(10px, 40px);
        opacity: 0.5;
    }
}

#ice1 {
    -webkit-animation: ice 1s linear infinite;
    animation: ice 1s linear infinite;
}

#ice3 {
    -webkit-animation: ice 1s linear infinite 0.5s;
    animation: ice 1s linear infinite 0.5s;
}

#ice2 {
    -webkit-animation: ice 2s linear infinite 1s;
    animation: ice 2s linear infinite 1s;
}

#ice4 {
    -webkit-animation: ice 2s linear infinite 0.8s;
    animation: ice 2s linear infinite 0.8s;
}

@-webkit-keyframes ice {
    0% {
        opacity: 1;
    }
    25% {
        -webkit-transform: translateY(5px);
        opacity: 1;
    }
    50% {
        -webkit-transform: translateY(15px);
        opacity: 1;
    }
    75% {
        -webkit-transform: translateY(25px);
        opacity: 0.75;
    }
    100% {
        -webkit-transform: translateY(35px);
        opacity: 0;
    }
}
@keyframes ice {
    0% {
        opacity: 1;
    }
    25% {
        -ms-transform: translateY(5px);
        transform: translateY(5px);
        opacity: 1;
    }
    50% {
        -ms-transform: translateY(15px);
        transform: translateY(15px);
        opacity: 1;
    }
    75% {
        -ms-transform: translateY(25px);
        transform: translateY(25px);
        opacity: 0.75;
    }
    100% {
        -ms-transform: translateY(35px);
        transform: translateY(35px);
        opacity: 0;
    }
}

@media all and (max-width:800px) {
    #container {
        margin-left: 70px;
        width: 80%;
        min-height: 90vh;
    }
}

@media all and (max-width:500px) {
    #container {
        margin-left: 20px;
        width: 85%;
    }

    #enterYourCity {
        width: 250px;
    }

    #date {
        font-size: 22px;
    }

    #city {
        font-size: 35px;
    }

    #temperature {
        font-size: 100px;
    }

    #feelsLike, #variation, #humidity, #windSpeed, #pressure, #conditions {
        font-size: 22px;
    }
}


